Index: tests/Fragmentations/cycloheptane/cycloheptane.xyz
===================================================================
--- tests/Fragmentations/cycloheptane/cycloheptane.xyz	(revision 03871391ca6c9494c227476e9ffca5d4ad581339)
+++ 	(revision )
@@ -1,23 +1,0 @@
-21
-NCI NSC 5164 Cycloheptane (8CI9CI)
-C   -1.5167    0.7428    0.1234
-C   -1.5167   -0.7429   -0.1234
-C   -0.2715    1.4100   -0.4687
-C   -0.2715   -1.4100    0.4688
-C    0.9161    1.1880    0.4734
-C    0.9162   -1.1879   -0.4734
-C    1.7410    0.0000    0.0000
-H   -2.4055    1.1795   -0.3320
-H   -1.5420    0.9255    1.1977
-H   -2.4055   -1.1797    0.3320
-H   -1.5419   -0.9255   -1.1977
-H   -0.0513    0.9711   -1.4419
-H   -0.4508    2.4791   -0.5829
-H   -0.0512   -0.9711    1.4419
-H   -0.4507   -2.4791    0.5829
-H    1.5410    2.0810    0.4843
-H    0.5475    0.9940    1.4806
-H    1.5411   -2.0809   -0.4843
-H    0.5475   -0.9940   -1.4806
-H    2.3793    0.3271   -0.8208
-H    2.3793   -0.3270    0.8208
Index: tests/Fragmentations/cycloheptane/pre/cycloheptane.xyz
===================================================================
--- tests/Fragmentations/cycloheptane/pre/cycloheptane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/pre/cycloheptane.xyz	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,23 @@
+21
+NCI NSC 5164 Cycloheptane (8CI9CI)
+C   -1.5167    0.7428    0.1234
+C   -1.5167   -0.7429   -0.1234
+C   -0.2715    1.4100   -0.4687
+C   -0.2715   -1.4100    0.4688
+C    0.9161    1.1880    0.4734
+C    0.9162   -1.1879   -0.4734
+C    1.7410    0.0000    0.0000
+H   -2.4055    1.1795   -0.3320
+H   -1.5420    0.9255    1.1977
+H   -2.4055   -1.1797    0.3320
+H   -1.5419   -0.9255   -1.1977
+H   -0.0513    0.9711   -1.4419
+H   -0.4508    2.4791   -0.5829
+H   -0.0512   -0.9711    1.4419
+H   -0.4507   -2.4791    0.5829
+H    1.5410    2.0810    0.4843
+H    0.5475    0.9940    1.4806
+H    1.5411   -2.0809   -0.4843
+H    0.5475   -0.9940   -1.4806
+H    2.3793    0.3271   -0.8208
+H    2.3793   -0.3270    0.8208
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order1.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order1.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 1
+
+AT_SETUP([Fragmentations - cycloheptane order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=7
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order2.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order2.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 2
+
+AT_SETUP([Fragmentations - cycloheptane order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=14
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order3.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order3.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 3
+
+AT_SETUP([Fragmentations - cycloheptane order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=21
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order4.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order4.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 4
+
+AT_SETUP([Fragmentations - cycloheptane order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=28
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order5.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order5.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 5
+
+AT_SETUP([Fragmentations - cycloheptane order 5])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=35
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order6.at
===================================================================
--- tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
+++ tests/Fragmentations/cycloheptane/testsuite-cycloheptane-order6.at	(revision 740d40e9b13bb9dbeb059d1f879dae6db1a97e2d)
@@ -0,0 +1,21 @@
+### cycloheptane - order 6
+
+AT_SETUP([Fragmentations - cycloheptane order 6])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=cycloheptane
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=42
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/${AUTOTEST_PATH}/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
